using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations.Schema;

namespace  Back.Data.Models
{
    [PrimaryKey("PermissionID", "RolUserID")]
    public class PermissionUser
    {
        public int PermissionID { get; set; }
        public int RolUserID { get; set; }

        #region Navigation
        [ForeignKey("RolUserID")]
        public virtual RolUser RolUser { get; set; }
        [ForeignKey("PermissionID")]
        public virtual Permission Permission { get; set; }
        #endregion
    }
}
